Subject: bug#4867 closed by Eli Zaretskii <[email-masked]> (Re: bug#4867: 23.1; dired cannot find gunzip with Z; Windows)

From: [email-masked] (Emacs bug Tracking System)
Date: Thu, 05 Nov 2009 19:05:06 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#4867: 23.1; dired cannot find gunzip with Z; Windows

It has been closed by Eli Zaretskii <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Eli Zaretskii <[email-masked]> by
replying to this email.

-- 
4867: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=4867
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#4867: 23.1; dired cannot find gunzip with Z; Windows
From: Eli Zaretskii <[email-masked]>
To: Xah Lee <[email-masked]>, [email-masked]
Date: Thu, 05 Nov 2009 20:55:37 +0200

> From: "Xah Lee" <[email-masked]>
> Date: Wed, 4 Nov 2009 08:56:09 -0800
> Cc: 
> 
> when using emacs on Windows, when in dired, when i press Z on a file that's 
> gzip compressed, emacs tells me:
> 'gunzip' is not recognized as an internal or external command,
> 
> the problem is apparently that emacs won't recognize the gunzip shell script 
> without the exe suffix.

No, this error message comes from the OS, not from Emacs.  Windows
does not support invocation of Unixy shell scripts, and thus Emacs,
being a native Windows program that uses Windows APIs, cannot run
them.

To make this work, create a Windows batch file unzip.bat which invokes
gzip.exe with the -d switch.  Then Emacs will find it and do what you
want.

I'm closing this bug.

Subject: 23.1; dired cannot find gunzip with Z; Windows
From: "Xah Lee" <[email-masked]>
To: <[email-masked]>
Date: Wed, 4 Nov 2009 08:56:09 -0800

when using emacs on Windows, when in dired, when i press Z on a file that's 
gzip compressed, emacs tells me:
'gunzip' is not recognized as an internal or external command,

the problem is apparently that emacs won't recognize the gunzip shell script 
without the exe suffix. (the gunzip is in the same dir as gzip.exe) But if i 
rename gunzip to gunzip.exe, but Windows complain that the file is not a exe 
format.

extra detail:

when i do
(executable-find "gzip")
emacs says
"c:/cygwin/bin/gzip.exe"

and
(executable-find "gunzip")
says
nil.

the gunzip exists at
c:/cygwin/bin/gunzip
which is a shell script that calls gzip -d.

Same problem when starting emacs with -Q.

GNU Emacs 23.1.1 (i386-mingw-nt6.0.6002) of 2009-07-29 on SOFT-MJASON

---------

I'm reporting this as a bug, but tips on solving this on my machine also 
would be appreciated. Thank you.

I'm thinking, shouldn't emacs's dired simply look for gzip and call it with 
gzip -d, instead of looking for the gunzip program? That seems to me simpler 
and more reliable.

  Xah
∑ http://xahlee.org/

☄